"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRule = void 0;
const experimental_utils_1 = require("@typescript-eslint/experimental-utils");
const detectReactQueryImports_1 = require("./detectReactQueryImports");
const getDocsUrl = (ruleName) => `https://github.com/KubaJastrz/eslint-plugin-react-query/tree/master/docs/rules/${ruleName}.md`;
function createRule({ create, ...rest }) {
    return experimental_utils_1.ESLintUtils.RuleCreator(getDocsUrl)({
        ...rest,
        create: (0, detectReactQueryImports_1.detectReactQueryImports)(create),
    });
}
exports.createRule = createRule;
